Bug 1014462 - Update the chapter: Start the Server with a Previous Configuration
Update the chapter: Start the Server with a Previous Configuration
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: GA
: EAP 6.3.0
Assigned To: Misha H. Ali
Russell Dickenson
http://documentation-devel.engineerin...
: Documentation, EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 02:30 EDT by Petr Kremensky
Modified: 2014-08-14 11:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 14874, Administration and Configuration Guide-6.2-1 Build Date: 18-09-2013 13:43:23 Topic ID: 5032-429376 [Latest]
Last Closed: 2014-06-28 11:25:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-02 02:30:24 EDT
Title: Start the Server with a Previous Configuration

Describe the issue:
There is wrong path to standalone_xml_history directory.

Suggestions for improvement:
is:
EAP_HOME/configuration/standalone_xml_history/current/standalone.v1.xml 
should be:
EAP_HOME/standalone/configuration/standalone_xml_history/current/standalone.v1.xml 

Additional information:
We should also add some note about domain here.
Domain config history is located in:
EAP_HOME/domain/configuration/domain_xml_history/current/domain.v1.xml
to start the domain with this configuration:
EAP_HOME/bin/domain.sh --domain-config=domain_xml_history/current/domain.v1.xml
Comment 2 Petr Kremensky 2014-02-12 02:25:02 EST
Please add also note about domain here:
Domain config history is located in:
EAP_HOME/domain/configuration/domain_xml_history/current/domain.v1.xml

Start the server with this configuration of the backed up model by passing in the relative filename under jboss.domain.config.dir. 

to start the domain with this configuration:
EAP_HOME/bin/domain.sh --domain-config=domain_xml_history/current/domain.v1.xml
Comment 4 Scott Mumford 2014-02-26 00:14:39 EST
Moving to ON_QA.

The changes should be available for review on the documentation stage within an hour or so from this comment.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/
Comment 5 Scott Mumford 2014-02-26 00:16:11 EST
Moving to ON_QA.

The changes should be available for review on the documentation stage within an hour or so from this comment.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/
Comment 6 Petr Kremensky 2014-02-26 03:00:08 EST
Verified during EAP 6.3.0.DR1 testing cycle.

Note You need to log in before you can comment on or make changes to this bug.